//This file created by John Vogel's makeViews.tcl script.
//Please contact john.vogel123@gmail.com for comments or feature requests.
//
// View generation completed on 13:30:56_10_25_2010
// makeViews version: 0.10

module jpvDft (
CLK
,SLOWCLK
,RESETB
,scanin
,scanout
);

parameter NUMCLKS = 500 ;
parameter RESETDELAY = 10 ;

input wire CLK ;
input wire SLOWCLK ;
input wire RESETB ;
input wire scanin ;

output wire scanout ;

reg [15:0] scanchain;

assign	scanout = scanchain[15];

initial $display("JPVINFO: Currently using a SLOW clock for scan chain element 10");
always @ (posedge SLOWCLK)
//initial $display("JPVINFO: Currently the real clock for scan chain element 10");
//always @ (posedge CLK)
begin
  if (!RESETB)
    scanchain[10] <= 1'b0;
  else begin
    scanchain[10] <= scanchain[9];
	end
end

always @ (posedge CLK)
begin
  if (!RESETB)
    scanchain[15:0] <= 16'h0000;
  else begin
    scanchain[0] <= scanin;
    scanchain[1] <= scanchain[0];
    scanchain[2] <= scanchain[1];
    scanchain[3] <= scanchain[2];
    scanchain[4] <= scanchain[3];
    scanchain[5] <= scanchain[4];
    scanchain[6] <= scanchain[5];
    scanchain[7] <= scanchain[6];
    scanchain[8] <= scanchain[7];
    scanchain[9] <= scanchain[8];
    scanchain[11] <= scanchain[10];
    scanchain[12] <= scanchain[11];
    scanchain[13] <= scanchain[12];
    scanchain[14] <= scanchain[13];
    scanchain[15] <= scanchain[14];
	end
end




endmodule
